Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -20546,63 +34707,63 @@
   Tag Name                                      Writable
   --------                                      --------
-  AppVersion                                    N
-  Application                                   N
-  Characters                                    N
-  CharactersWithSpaces                          N
-  CheckedBy                                     N
-  Client                                        N
-  Company                                       N
-  DateCompleted                                 N
-  Department                                    N
-  Destination                                   N
-  Disposition                                   N
-  Division                                      N
-  DocSecurity                                   N
-  DocumentNumber                                N
-  Editor                                        N
-  ForwardTo                                     N
-  Group                                         N
-  HeadingPairs                                  N
-  HiddenSlides                                  N
-  HyperlinkBase                                 N
-  HyperlinksChanged                             N
-  Language                                      N
-  Lines                                         N
-  LinksUpToDate                                 N
-  MMClips                                       N
-  Mailstop                                      N
-  Manager                                       N
-  Matter                                        N
-  Notes                                         N
-  Office                                        N
-  Owner                                         N
-  Pages                                         N
-  Paragraphs                                    N
-  PresentationFormat                            N
-  Project                                       N
-  Publisher                                     N
-  Purpose                                       N
-  ReceivedFrom                                  N
-  RecordedBy                                    N
-  RecordedDate                                  N
-  Reference                                     N
-  ScaleCrop                                     N
-  SharedDoc                                     N
-  Slides                                        N
-  Source                                        N
-  Status                                        N
-  TelephoneNumber                               N
-  Template                                      N
-  TitlesOfParts                                 N
-  TotalEditTime                                 N
-  Typist                                        N
-  Words                                         N
-  Category                                      N
-  CreateDate                                    N
-  Keywords                                      N
-  LastModifiedBy                                N
-  LastPrinted                                   N
-  ModifyDate                                    N
-  RevisionNumber                                N
+  AppVersion                                    no
+  Application                                   no
+  Category                                      no
+  Characters                                    no
+  CharactersWithSpaces                          no
+  CheckedBy                                     no
+  Client                                        no
+  Company                                       no
+  CreateDate                                    no
+  DateCompleted                                 no
+  Department                                    no
+  Destination                                   no
+  Disposition                                   no
+  Division                                      no
+  DocSecurity                                   no
+  DocumentNumber                                no
+  Editor                                        no
+  ForwardTo                                     no
+  Group                                         no
+  HeadingPairs                                  no
+  HiddenSlides                                  no
+  HyperlinkBase                                 no
+  HyperlinksChanged                             no
+  Keywords                                      no
+  Language                                      no
+  LastModifiedBy                                no
+  LastPrinted                                   no
+  Lines                                         no
+  LinksUpToDate                                 no
+  MMClips                                       no
+  Mailstop                                      no
+  Manager                                       no
+  Matter                                        no
+  ModifyDate                                    no
+  Notes                                         no
+  Office                                        no
+  Owner                                         no
+  Pages                                         no
+  Paragraphs                                    no
+  PresentationFormat                            no
+  Project                                       no
+  Publisher                                     no
+  Purpose                                       no
+  ReceivedFrom                                  no
+  RecordedBy                                    no
+  RecordedDate                                  no
+  Reference                                     no
+  RevisionNumber                                no
+  ScaleCrop                                     no
+  SharedDoc                                     no
+  Slides                                        no
+  Source                                        no
+  Status                                        no
+  TelephoneNumber                               no
+  Template                                      no
+  TitlesOfParts                                 no
+  TotalEditTime                                 no
+  Typist                                        no
+  Words                                         no
 
 =head2 iWork Tags
@@ -20614,55 +34775,325 @@
   Tag Name                                      Writable
   --------                                      --------
-  Author                                        N
-  Comment                                       N
-  Copyright                                     N
-  Keywords                                      N
-  Projects                                      N+
-  Title                                         N
-
-=head2 Extra Tags
-
-The extra tags represent extra information extracted or generated by
-ExifTool that is not directly associated with another tag group.  The three
-writable "pseudo" tags (FileName, Directory and FileModifyDate) may be
-written without the need to rewrite the file since their values are not
-contained within the file data.  These "pseudo" tags belong to the family 1
-"System" group.
+  Author                                        no
+  Comment                                       no
+  Copyright                                     no
+  Keywords                                      no
+  Projects                                      no+
+  Title                                         no
+
+=head2 ISO Tags
+
+Tags extracted from ISO 9660 disk images.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0000   BootRecord                           ISO BootRecord
+  0x0001   PrimaryVolume                        ISO PrimaryVolume
+
+=head3 ISO BootRecord Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      7    BootSystem                           no
+     39    BootIdentifier                       no
+
+=head3 ISO PrimaryVolume Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    System                               no
+     40    VolumeName                           no
+     80    VolumeBlockCount                     no
+    120    VolumeSetDiskCount?                  no
+    124    VolumeSetDiskNumber?                 no
+    128    VolumeBlockSize                      no
+    132    PathTableSize?                       no
+    140    PathTableLocation?                   no
+    174    RootDirectoryCreateDate              no
+    190    VolumeSetName                        no
+    318    Publisher                            no
+    446    DataPreparer                         no
+    574    Software                             no
+    702    CopyrightFileName                    no
+    740    AbstractFileName                     no
+    776    BibligraphicFileName                 no
+    813    VolumeCreateDate                     no
+    830    VolumeModifyDate                     no
+    847    VolumeExpirationDate                 no
+    864    VolumeEffectiveDate                  no
+
+=head2 MacOS Tags
+
+On MacOS systems, the there are additional MDItem and XAttr Finder tags that
+may be extracted.  These tags are not extracted by default -- they must be
+specifically requested or enabled via an API option.  (Except when reading
+MacOS "._" files directly, see below.)
+
+The tables below list some of the tags that may be extracted, but ExifTool
+will extract all available information even for tags not listed.
+
+Tags in these tables are referred to as "pseudo" tags because their
+information is not stored in the file itself.  As such, B<Writable> tags in
+these tables may be changed without having to rewrite the file.
+
+Note that on some filesystems, MacOS creates sidecar files with names that
+begin with "._".  ExifTool will read these files if specified, and extract
+the information listed in the following table without the need for extra
+options, but these files are not writable directly.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0002   RSRC                                 RSRC
+  0x0009   ATTR                                 MacOS XAttr
+
+=head3 MacOS XAttr Tags
+
+XAttr tags are extracted using the "xattr" utility.  They are extracted if
+any "XAttr*" tag or the MacOS group is specifically requested, or by setting
+the XAttrTags API option to 1 or the RequestAll API option to 2 or higher.
+And they extracted by default from MacOS "._" files when reading
+these files directly.
 
   Tag Name                                      Writable
   --------                                      --------
-  CanonVRD                                      Y!
-  Comment                                       Y
-  CurrentIPTCDigest                             N
-  Directory                                     Y!
-  EXIF                                          Y!
-  Error                                         N
-  ExifByteOrder                                 Y
-  ExifToolVersion                               N
-  ExifUnicodeByteOrder                          Y
-  FileModifyDate                                Y!
-  FileName                                      Y!
-  FilePermissions                               N
-  FileSize                                      N
-  FileType                                      N
-  Geosync                                       Y
-  Geotag                                        Y
-  Geotime                                       Y
-  ICC_Profile                                   Y!
-  ID3Size                                       N
-  ImageHeight                                   N
-  ImageWidth                                    N
-  JPEGDigest                                    N
-  MIMEType                                      N
-  MaxVal                                        N
-  Now                                           N
-  PreviewImage                                  Y
-  PreviewPNG                                    N
-  RAFVersion                                    N
-  ResourceForkSize                              N
-  Warning                                       N
-  XMP                                           Y!
-  XResolution                                   N
-  YResolution                                   N
+  XAttrAppleMailDateReceived                    no
+  XAttrAppleMailDateSent                        no
+  XAttrAppleMailIsRemoteAttachment              no
+  XAttrFinderInfo                               no
+  XAttrLastUsedDate                             no
+  XAttrMDItemDownloadedDate                     no
+  XAttrMDItemFinderComment                      no
+  XAttrMDItemWhereFroms                         no
+  XAttrMDLabel                                  no
+  XAttrQuarantine                               yes!
+  XAttrResourceFork                             no
+
+=head3 MacOS MDItem Tags
+
+MDItem tags are extracted using the "mdls" utility.  They are extracted if
+any "MDItem*" tag or the MacOS group is specifically requested, or by
+setting the MDItemTags API option to 1 or the RequestAll API option to 2 or
+higher.  Note that these tags do not necessarily reflect the current
+metadata of a file -- it may take some time for the MacOS mdworker daemon to
+index the file after a metadata change.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AppleMailDateReceived                         no
+  AppleMailDateSent                             no
+  AppleMailFlagged                              no
+  AppleMailIsRemoteAttachment                   no
+  AppleMailMessageID                            no
+  AppleMailPriority                             no
+  AppleMailRead                                 no
+  AppleMailRepliedTo                            no
+  MDItemAccountHandles                          no
+  MDItemAccountIdentifier                       no
+  MDItemAcquisitionMake                         no
+  MDItemAcquisitionModel                        no
+  MDItemAltitude                                no
+  MDItemAperture                                no
+  MDItemAudioBitRate                            no
+  MDItemAudioChannelCount                       no
+  MDItemAuthorEmailAddresses                    no
+  MDItemAuthors                                 no
+  MDItemBitsPerSample                           no
+  MDItemBundleIdentifier                        no
+  MDItemCity                                    no
+  MDItemCodecs                                  no
+  MDItemColorSpace                              no
+  MDItemComment                                 no
+  MDItemContentCreationDate                     no
+  MDItemContentCreationDateRanking              no
+  MDItemContentCreationDate_Ranking             no
+  MDItemContentModificationDate                 no
+  MDItemContentType                             no
+  MDItemContentTypeTree                         no
+  MDItemContributors                            no
+  MDItemCopyright                               no
+  MDItemCountry                                 no
+  MDItemCreator                                 no
+  MDItemDateAdded                               no
+  MDItemDateAdded_Ranking                       no
+  MDItemDescription                             no
+  MDItemDisplayName                             no
+  MDItemDownloadedDate                          no
+  MDItemDurationSeconds                         no
+  MDItemEXIFGPSVersion                          no
+  MDItemEXIFVersion                             no
+  MDItemEmailConversationID                     no
+  MDItemEncodingApplications                    no
+  MDItemExposureMode                            no
+  MDItemExposureProgram                         no
+  MDItemExposureTimeSeconds                     no
+  MDItemFNumber                                 no
+  MDItemFSContentChangeDate                     no
+  MDItemFSCreationDate                          yes!
+  MDItemFSCreatorCode                           no
+  MDItemFSFinderFlags                           no
+  MDItemFSHasCustomIcon                         no
+  MDItemFSInvisible                             no
+  MDItemFSIsExtensionHidden                     no
+  MDItemFSIsStationery                          no
+  MDItemFSLabel                                 yes!
+  MDItemFSName                                  no
+  MDItemFSNodeCount                             no
+  MDItemFSOwnerGroupID                          no
+  MDItemFSOwnerUserID                           no
+  MDItemFSSize                                  no
+  MDItemFSTypeCode                              no
+  MDItemFinderComment                           yes!
+  MDItemFlashOnOff                              no
+  MDItemFocalLength                             no
+  MDItemGPSDateStamp                            no
+  MDItemGPSStatus                               no
+  MDItemGPSTrack                                no
+  MDItemHasAlphaChannel                         no
+  MDItemISOSpeed                                no
+  MDItemIdentifier                              no
+  MDItemImageDirection                          no
+  MDItemInterestingDateRanking                  no
+  MDItemInterestingDate_Ranking                 no
+  MDItemIsApplicationManaged                    no
+  MDItemIsExistingThread                        no
+  MDItemIsLikelyJunk                            no
+  MDItemKeywords                                no
+  MDItemKind                                    no
+  MDItemLastUsedDate                            no
+  MDItemLastUsedDate_Ranking                    no
+  MDItemLatitude                                no
+  MDItemLensModel                               no
+  MDItemLogicalSize                             no
+  MDItemLongitude                               no
+  MDItemMailDateReceived_Ranking                no
+  MDItemMailboxes                               no
+  MDItemMediaTypes                              no
+  MDItemNumberOfPages                           no
+  MDItemOrientation                             no
+  MDItemOriginApplicationIdentifier             no
+  MDItemOriginMessageID                         no
+  MDItemOriginSenderDisplayName                 no
+  MDItemOriginSenderHandle                      no
+  MDItemOriginSubject                           no
+  MDItemPageHeight                              no
+  MDItemPageWidth                               no
+  MDItemPhysicalSize                            no
+  MDItemPixelCount                              no
+  MDItemPixelHeight                             no
+  MDItemPixelWidth                              no
+  MDItemPrimaryRecipientEmailAddresses          no
+  MDItemProfileName                             no
+  MDItemRecipients                              no
+  MDItemRedEyeOnOff                             no
+  MDItemResolutionHeightDPI                     no
+  MDItemResolutionWidthDPI                      no
+  MDItemSecurityMethod                          no
+  MDItemSpeed                                   no
+  MDItemStateOrProvince                         no
+  MDItemStreamable                              no
+  MDItemSubject                                 no
+  MDItemTimestamp                               no
+  MDItemTitle                                   no
+  MDItemTotalBitRate                            no
+  MDItemUseCount                                no
+  MDItemUsedDates                               no
+  MDItemUserDownloadedDate                      no
+  MDItemUserDownloadedUserHandle                no
+  MDItemUserSharedReceivedDate                  no
+  MDItemUserSharedReceivedRecipient             no
+  MDItemUserSharedReceivedRecipientHandle       no
+  MDItemUserSharedReceivedSender                no
+  MDItemUserSharedReceivedSenderHandle          no
+  MDItemUserSharedReceivedTransport             no
+  MDItemUserTags                                yes!+
+  MDItemVersion                                 no
+  MDItemVideoBitRate                            no
+  MDItemWhereFroms                              no
+  MDItemWhiteBalance                            no
+
+=head2 Extra Tags
+
+The extra tags provide extra features or extra information extracted or
+generated by ExifTool that is not directly associated with another tag
+group.  The B<Group> column lists the family 1 group name when reading. 
+Tags with a "-" in this column are write-only.
+
+Tags in the family 1 "System" group are referred to as "pseudo" tags because
+they don't represent real metadata in the file.  Instead, this information
+is stored in the directory structure of the filesystem.  The B<Writable>
+System "pseudo" tags in this table may be written without modifying the file
+itself.  The TestName tag is used for dry-run testing before writing
+FileName.
+
+  Tag Name                   Group              Writable
+  --------                   -----              --------
+  Adobe                      Adobe              yes!
+  CanonDR4                   CanonVRD           yes!^
+  CanonVRD                   CanonVRD           yes!^
+  Comment                    File               yes
+  CurrentIPTCDigest          File               no
+  Directory                  System             yes!
+  EXIF                       EXIF               yes!
+  EmbeddedVideo              File               no
+  Error                      ExifTool           no
+  ExifByteOrder              File               yes
+  ExifToolVersion            ExifTool           no
+  ExifUnicodeByteOrder       -                  yes
+  FileAccessDate             System             no
+  FileAttributes             System             no
+  FileBlockCount             System             no
+  FileBlockSize              System             no
+  FileCreateDate             System             yes!
+  FileDeviceID               System             no
+  FileDeviceNumber           System             no
+  FileGroupID                System             yes!
+  FileHardLinks              System             no
+  FileInodeChangeDate        System             no
+  FileInodeNumber            System             no
+  FileModifyDate             System             yes!
+  FileName                   System             yes!
+  FilePath                   System             no
+  FilePermissions            System             yes!
+  FileSequence               ExifTool           no
+  FileSize                   System             no
+  FileType                   File               no
+  FileTypeExtension          File               no
+  FileUserID                 System             yes!
+  ForceWrite                 -                  yes
+  Geosync                    -                  yes
+  Geotag                     -                  yes
+  Geotime                    -                  yes
+  HardLink                   -                  yes!
+  ICC_Profile                ICC_Profile        yes!
+  ID3Size                    File               no
+  IPTC                       IPTC               yes!
+  ImageHeight                File               no
+  ImageWidth                 File               no
+  JPEGDigest                 File               no
+  JPEGImageLength            File               no
+  JPEGQualityEstimate        File               no
+  MIMEType                   File               no
+  MaxVal                     File               no
+  NewGUID                    ExifTool           no
+  Now                        ExifTool           no
+  OtherImage                 File               no
+  PreviewImage               File               yes
+  PreviewPDF                 File               no
+  PreviewPNG                 File               no
+  PreviewTIFF                File               no
+  PreviewWMF                 File               no
+  ProcessingTime             ExifTool           no
+  RAFVersion                 File               no
+  ResourceForkSize           System             no
+  SymLink                    -                  yes!
+  TestName                   -                  yes!
+  ThumbnailImage             File               no
+  Trailer                    File               yes!
+  Validate                   ExifTool           no
+  Warning                    ExifTool           no
+  XML                        XML                no
+  XMP                        XMP                yes!
+  XResolution                File               no
+  YResolution                File               no
 
 =head2 Composite Tags
@@ -20670,19 +35101,25 @@
 The values of the composite tags are B<Derived From> the values of other
 tags.  These are convenience tags which are calculated after all other
-information is extracted.
+information is extracted.  Only a few of these tags are writable directly,
+the others are changed by writing the corresponding B<Derived From> tags.
+User-defined Composite tags, also useful for custom-formatting of tag
+values, may created via the ExifTool configuration file.
 
   Tag Name             Derived From             Writable
   --------             ------------             --------
-  Aperture             FNumber                  N
+  AdvancedSceneMode    Model                    no
+                       SceneMode
+                       AdvancedSceneType
+  Aperture             FNumber                  no
                        ApertureValue
-  AudioBitrate         MPEG:MPEGAudioVersion    N
+  AudioBitrate         MPEG:MPEGAudioVersion    no
                        MPEG:SampleRate
                        MPEG:VBRBytes
                        MPEG:VBRFrames
-  AutoFocus            Nikon:PhaseDetectAF      N
+  AutoFocus            Nikon:PhaseDetectAF      no
                        Nikon:ContrastDetectAF
-  AvgBitrate           QuickTime::MovieDataSize N
+  AvgBitrate           QuickTime::MediaDataSize no
                        QuickTime::Duration
-  BlueBalance          WB_RGGBLevels            N
+  BlueBalance          WB_RGGBLevels            no
                        WB_RGBGLevels
                        WB_RBGGLevels
@@ -20691,13 +35128,16 @@
                        WB_GBRGLevels
                        WB_RGBLevels
+                       WB_GRBLevels
                        WB_RBLevels
                        WBBlueLevel
                        WBGreenLevel
-  CFAPattern           CFARepeatPatternDim      N
+  CDDBDiscPlayTime     CDDB1Info                no
+  CDDBDiscTracks       CDDB1Info                no
+  CFAPattern           CFARepeatPatternDim      no
                        CFAPattern2
-  CircleOfConfusion    ScaleFactor35efl         N
-  ConditionalFEC       FlashExposureComp        N
+  CircleOfConfusion    ScaleFactor35efl         no
+  ConditionalFEC       FlashExposureComp        no
                        FlashBits
-  DOF                  FocalLength              N
+  DOF                  FocalLength              no
                        Aperture
                        CircleOfConfusion
@@ -20705,25 +35145,37 @@
                        SubjectDistance
                        ObjectDistance
-  DateCreated          Kodak:YearCreated        N
+                       ApproximateFocusDistance
+                       FocusDistanceLower
+                       FocusDistanceUpper
+  DateCreated          Kodak:YearCreated        no
                        Kodak:MonthDayCreated
-  DateTimeCreated      IPTC:DateCreated         N
+  DateTimeCreated      IPTC:DateCreated         no
                        IPTC:TimeCreated
-  DateTimeOriginal     DateTimeCreated          N
+  DateTimeOriginal     DateTimeCreated          no
                        DateCreated
                        TimeCreated
-  DateTimeOriginal     ID3:RecordingTime        N
+  DateTimeOriginal     ID3:RecordingTime        no
                        ID3:Year
                        ID3:Date
                        ID3:Time
-  DigitalCreationDateTime IPTC:DigitalCreationDate N
+  DepthMapTiff         DepthMapData             no
+                       DepthMapWidth
+                       DepthMapHeight
+  DigitalCreationDateTime IPTC:DigitalCreationDate no
                        IPTC:DigitalCreationTime
-  DigitalZoom          Canon:ZoomSourceWidth    N
+  DigitalZoom          Canon:ZoomSourceWidth    no
                        Canon:ZoomTargetWidth
                        Canon:DigitalZoom
-  DriveMode            ContinuousDrive          N
+  DriveMode            ContinuousDrive          no
                        SelfTimer
-  Duration             FLAC:SampleRate          N
+  Duration             AIFF:SampleRate          no
+                       AIFF:NumSampleFrames
+  Duration             APE:SampleRate           no
+                       APE:TotalFrames
+                       APE:BlocksPerFrame
+                       APE:FinalFrameBlocks
+  Duration             FLAC:SampleRate          no
                        FLAC:TotalSamples
-  Duration             FileSize                 N
+  Duration             FileSize                 no
                        ID3Size
                        MPEG:AudioBitrate
